package com.jpattern.orm.test;

import javax.sql.DataSource;

import com.jpattern.orm.dialect.DBType;
import com.jpattern.orm.session.SessionProvider;

public class TestData {

	private final SessionProvider sessionProvider;
	private final DBType dbType;
	private final boolean supportMultipleSchemas;
	private final DataSource dataSource;

	public TestData(final SessionProvider sessionProvider, final DataSource dataSource, final DBType dbType, final boolean supportMultipleSchemas) {
		this.sessionProvider = sessionProvider;
		this.dataSource = dataSource;
		this.dbType = dbType;
		this.supportMultipleSchemas = supportMultipleSchemas;
	}

	public SessionProvider getSessionProvider() {
		return sessionProvider;
	}

	public DBType getDBType() {
		return dbType;
	}

	public DataSource getDataSource() {
		return dataSource;
	}

	public boolean isSupportMultipleSchemas() {
		return supportMultipleSchemas;
	}

}
