/* ----------------------------------------------------------------------------
 *     PROJECT : EURES
 *
 *     PACKAGE : com.jpattern.orm.test.domain.section08
 *        FILE : CascadeUserAddress.java
 *
 *  CREATED BY : ARHS Developments
 *          ON : Mar 10, 2013
 *
 * MODIFIED BY : ARHS Developments
 *          ON : $LastChangedDate
 *     VERSION : $LastChangedRevision
 *
 * ----------------------------------------------------------------------------
 * Copyright (c) 2011 European Commission - DG EMPL
 * ----------------------------------------------------------------------------
 */
package com.jpattern.orm.test.domain.section08;

import com.jpattern.orm.annotation.Cascade;
import com.jpattern.orm.annotation.Column;
import com.jpattern.orm.annotation.FK;
import com.jpattern.orm.annotation.Table;
import com.jpattern.orm.annotation.cascade.CascadeType;

/**
 * <class_description>
 * <p><b>notes</b>:
 * <p>ON : Mar 10, 2013
 *
 * @author ARHS Developments - Francesco Cina
 * @version $Revision
 */
@Table(tableName="USER_ADDRESS")
public class CascadeUserAddress {

	@FK(references=CascadeUser.class)
	private Long userId;

	@FK
	@Column(name="COUNTRY_ID")
	@Cascade(on=CascadeType.NEVER)
	private UserCountry country;

	public Long getUserId() {
		return userId;
	}
	public void setUserId(final Long userId) {
		this.userId = userId;
	}
	public UserCountry getCountry() {
		return country;
	}
	public void setCountry(final UserCountry country) {
		this.country = country;
	}
}
